package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

@Table("volume_type_zone")
public class VolumeTypeZone extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;// id
	@Column("volume_type_id")
	private Long volumeTypeId;
	@Column("zone_id")
	private Long zoneId;
	@Column("is_sold_out")
	private Boolean isSoldOut;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getVolumeTypeId() {
		return volumeTypeId;
	}

	public void setVolumeTypeId(Long volumeTypeId) {
		this.volumeTypeId = volumeTypeId;
	}

	public Long getZoneId() {
		return zoneId;
	}

	public void setZoneId(Long zoneId) {
		this.zoneId = zoneId;
	}

	public Boolean getIsSoldOut() {
		return isSoldOut;
	}

	public void setIsSoldOut(Boolean soldOut) {
		isSoldOut = soldOut;
	}
}
